From cb967ead5a8b86c73053412f54dd1c5444562173 Mon Sep 17 00:00:00 2001
From: Dan Kegel <dank@kegel.com>
Date: Mon, 15 Oct 2012 21:19:49 -0700
Subject: [PATCH 7/7] vcomp90, vcomp100: sync spec files

---
 dlls/vcomp100/vcomp100.spec |   40 ++++++++++++++++++++--------------------
 dlls/vcomp90/vcomp90.spec   |   40 ++++++++++++++++++++--------------------
 2 files changed, 40 insertions(+), 40 deletions(-)

diff --git a/dlls/vcomp100/vcomp100.spec b/dlls/vcomp100/vcomp100.spec
index d888577..e55be89 100644
--- a/dlls/vcomp100/vcomp100.spec
+++ b/dlls/vcomp100/vcomp100.spec
@@ -50,21 +50,21 @@
 @ stub _vcomp_atomic_xor_i2
 @ stub _vcomp_atomic_xor_i4
 @ stub _vcomp_atomic_xor_i8
-@ stub _vcomp_barrier
+@ cdecl _vcomp_barrier() vcomp._vcomp_barrier
 @ stub _vcomp_copyprivate_broadcast
 @ stub _vcomp_copyprivate_receive
 @ stub _vcomp_enter_critsect
 @ stub _vcomp_flush
-@ stub _vcomp_for_dynamic_init
+@ cdecl _vcomp_for_dynamic_init(long long long long long) vcomp._vcomp_for_dynamic_init
 @ stub _vcomp_for_dynamic_init_i8
-@ stub _vcomp_for_dynamic_next
+@ cdecl _vcomp_for_dynamic_next(ptr) vcomp._vcomp_for_dynamic_next
 @ stub _vcomp_for_dynamic_next_i8
-@ stub _vcomp_for_static_end
-@ stub _vcomp_for_static_init
+@ cdecl _vcomp_for_static_end() vcomp._vcomp_for_static_end
+@ cdecl _vcomp_for_static_init(long long long long ptr ptr ptr ptr ptr) vcomp._vcomp_for_static_init
 @ stub _vcomp_for_static_init_i8
-@ stub _vcomp_for_static_simple_init
+@ cdecl _vcomp_for_static_simple_init(long long long long ptr ptr) vcomp._vcomp_for_static_simple_init
 @ stub _vcomp_for_static_simple_init_i8
-@ stub _vcomp_fork
+@ varargs _vcomp_fork(long long ptr) vcomp._vcomp_fork
 @ stub _vcomp_get_thread_num
 @ stub _vcomp_leave_critsect
 @ stub _vcomp_master_barrier
@@ -83,29 +83,29 @@
 @ stub _vcomp_reduction_u2
 @ stub _vcomp_reduction_u4
 @ stub _vcomp_reduction_u8
-@ stub _vcomp_sections_init
-@ stub _vcomp_sections_next
+@ cdecl _vcomp_sections_init(long) vcomp._vcomp_sections_init
+@ cdecl _vcomp_sections_next() vcomp._vcomp_sections_next
 @ cdecl _vcomp_set_num_threads(long) vcomp._vcomp_set_num_threads
-@ stub _vcomp_single_begin
-@ stub _vcomp_single_end
+@ cdecl _vcomp_single_begin(long) vcomp._vcomp_single_begin
+@ cdecl _vcomp_single_end() vcomp._vcomp_single_end
 @ stub omp_destroy_lock
 @ stub omp_destroy_nest_lock
-@ stub omp_get_dynamic
-@ stub omp_get_max_threads
-@ stub omp_get_nested
+@ cdecl omp_get_dynamic() vcomp.omp_get_dynamic
+@ cdecl omp_get_max_threads() vcomp.omp_get_max_threads
+@ cdecl omp_get_nested() vcomp.omp_get_nested
 @ cdecl omp_get_num_procs() vcomp.omp_get_num_procs
-@ stub omp_get_num_threads
-@ stub omp_get_thread_num
+@ cdecl omp_get_num_threads() vcomp.omp_get_num_threads
+@ cdecl omp_get_thread_num() vcomp.omp_get_thread_num
 @ stub omp_get_wtick
 @ cdecl omp_get_wtime() vcomp.omp_get_wtime
-@ stub omp_in_parallel
+@ cdecl omp_in_parallel() vcomp.omp_in_parallel
 @ stub omp_init_lock
 @ stub omp_init_nest_lock
-@ stub omp_set_dynamic
+@ cdecl omp_set_dynamic(long) vcomp.omp_set_dynamic
 @ stub omp_set_lock
 @ stub omp_set_nest_lock
-@ stub omp_set_nested
-@ stub omp_set_num_threads
+@ cdecl omp_set_nested(long) vcomp.omp_set_nested
+@ cdecl omp_set_num_threads(long) vcomp.omp_set_num_threads
 @ stub omp_test_lock
 @ stub omp_test_nest_lock
 @ stub omp_unset_lock
diff --git a/dlls/vcomp90/vcomp90.spec b/dlls/vcomp90/vcomp90.spec
index d888577..e55be89 100644
--- a/dlls/vcomp90/vcomp90.spec
+++ b/dlls/vcomp90/vcomp90.spec
@@ -50,21 +50,21 @@
 @ stub _vcomp_atomic_xor_i2
 @ stub _vcomp_atomic_xor_i4
 @ stub _vcomp_atomic_xor_i8
-@ stub _vcomp_barrier
+@ cdecl _vcomp_barrier() vcomp._vcomp_barrier
 @ stub _vcomp_copyprivate_broadcast
 @ stub _vcomp_copyprivate_receive
 @ stub _vcomp_enter_critsect
 @ stub _vcomp_flush
-@ stub _vcomp_for_dynamic_init
+@ cdecl _vcomp_for_dynamic_init(long long long long long) vcomp._vcomp_for_dynamic_init
 @ stub _vcomp_for_dynamic_init_i8
-@ stub _vcomp_for_dynamic_next
+@ cdecl _vcomp_for_dynamic_next(ptr) vcomp._vcomp_for_dynamic_next
 @ stub _vcomp_for_dynamic_next_i8
-@ stub _vcomp_for_static_end
-@ stub _vcomp_for_static_init
+@ cdecl _vcomp_for_static_end() vcomp._vcomp_for_static_end
+@ cdecl _vcomp_for_static_init(long long long long ptr ptr ptr ptr ptr) vcomp._vcomp_for_static_init
 @ stub _vcomp_for_static_init_i8
-@ stub _vcomp_for_static_simple_init
+@ cdecl _vcomp_for_static_simple_init(long long long long ptr ptr) vcomp._vcomp_for_static_simple_init
 @ stub _vcomp_for_static_simple_init_i8
-@ stub _vcomp_fork
+@ varargs _vcomp_fork(long long ptr) vcomp._vcomp_fork
 @ stub _vcomp_get_thread_num
 @ stub _vcomp_leave_critsect
 @ stub _vcomp_master_barrier
@@ -83,29 +83,29 @@
 @ stub _vcomp_reduction_u2
 @ stub _vcomp_reduction_u4
 @ stub _vcomp_reduction_u8
-@ stub _vcomp_sections_init
-@ stub _vcomp_sections_next
+@ cdecl _vcomp_sections_init(long) vcomp._vcomp_sections_init
+@ cdecl _vcomp_sections_next() vcomp._vcomp_sections_next
 @ cdecl _vcomp_set_num_threads(long) vcomp._vcomp_set_num_threads
-@ stub _vcomp_single_begin
-@ stub _vcomp_single_end
+@ cdecl _vcomp_single_begin(long) vcomp._vcomp_single_begin
+@ cdecl _vcomp_single_end() vcomp._vcomp_single_end
 @ stub omp_destroy_lock
 @ stub omp_destroy_nest_lock
-@ stub omp_get_dynamic
-@ stub omp_get_max_threads
-@ stub omp_get_nested
+@ cdecl omp_get_dynamic() vcomp.omp_get_dynamic
+@ cdecl omp_get_max_threads() vcomp.omp_get_max_threads
+@ cdecl omp_get_nested() vcomp.omp_get_nested
 @ cdecl omp_get_num_procs() vcomp.omp_get_num_procs
-@ stub omp_get_num_threads
-@ stub omp_get_thread_num
+@ cdecl omp_get_num_threads() vcomp.omp_get_num_threads
+@ cdecl omp_get_thread_num() vcomp.omp_get_thread_num
 @ stub omp_get_wtick
 @ cdecl omp_get_wtime() vcomp.omp_get_wtime
-@ stub omp_in_parallel
+@ cdecl omp_in_parallel() vcomp.omp_in_parallel
 @ stub omp_init_lock
 @ stub omp_init_nest_lock
-@ stub omp_set_dynamic
+@ cdecl omp_set_dynamic(long) vcomp.omp_set_dynamic
 @ stub omp_set_lock
 @ stub omp_set_nest_lock
-@ stub omp_set_nested
-@ stub omp_set_num_threads
+@ cdecl omp_set_nested(long) vcomp.omp_set_nested
+@ cdecl omp_set_num_threads(long) vcomp.omp_set_num_threads
 @ stub omp_test_lock
 @ stub omp_test_nest_lock
 @ stub omp_unset_lock
-- 
1.7.9.5

